Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Keys

Check API Key

Check the validity of current use api key

get
Header parameters
api-keystringRequired
Responses
200Success
application/json
emailstringRequired
namestringOptional
get/v1/api-keys/check
GET /v1/api-keys/check HTTP/1.1
api-key: text
Accept: */*
{
  "email": "text",
  "name": "text"
}

Create Endpoint Webhook

Add webhook endpoint to an API key

post
Header parameters
api-keystringRequired
Body
urlstringRequired
Responses
201Success
application/json
webhookIdstringRequired
post/v1/api-keys/webhook/subscribe
POST /v1/api-keys/webhook/subscribe HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "url": "text",
  "events": [
    "test"
  ]
}
{
  "webhookId": "text"
}

Remove Webhook

Remove webhook endpoint from an API key

delete
Path parameters
apiWebhookIdstringRequired
Header parameters
api-keystringRequired
Responses
201Success

No content

delete/v1/api-keys/webhook/unsubscribe/{apiWebhookId}
DELETE /v1/api-keys/webhook/unsubscribe/{apiWebhookId} HTTP/1.1
api-key: text
Accept: */*

No content

Get Webhook

Get webhook from its ID

get
Path parameters
apiKeyWebhookIdstringRequired
Header parameters
api-keystringRequired
Responses
201Success

No content

get/v1/api-keys/webhook/{apiKeyWebhookId}
GET /v1/api-keys/webhook/{apiKeyWebhookId} HTTP/1.1
api-key: text
Accept: */*

No content

Last updated